
Redmine - Defect #32191

Duplicate associated revisions when using multiple repositories for a project

2019-10-04 02:20 - Jon Schell

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.4.3

Description

I have a project that has several repositories linked to it.  Repo A includes an extern to a folder in Repo B.  When a commit is made

to Repo A the associated issue displays the associated revision entry twice.  Both are identical.  When a commit is made to Repo B,

it's done correctly with a single entry.  The commits are not spanning the repos over the extern, they are entirely within one repo or

the other.

Attached picture shows the first entry only once because it's done to Repo B.  The rest are commits to Repo A.

We do have the option to fetch commits automatically turned off and instead we run a cron job using "redmine:fetch_changesets" to

update it.

Database manager version: Mysql2

Ruby version: 2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

Rails version: 4.2.8

Redmine version: 3.4.3.stable

scm binary version: svn 1.8.10

No plugins

Related issues:

Is duplicate of Redmine - Defect #6857: git references leaking from subprojec... New 2010-11-09

History

#1 - 2019-10-06 03:39 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The issue is known as #6857 but has not fixed yet. Thank you for reporting the issue you found.

#2 - 2019-10-06 03:40 - Go MAEDA

- Is duplicate of Defect #6857: git references leaking from subproject to project added

#3 - 2019-10-06 04:35 - Mischa The Evil

Go MAEDA wrote:

The issue is known as #6857 [...]

 That was my first thought too, but then I carefully re-read the (brief) description given by the OP. It explicitly states that they are using multiple (svn)

repos per project along with svn externals pointing to parts of the other linked repos. It says nothing about the use of subprojects.

Based on that I don't see how this issue is known as #6857. I rather think that this is a more complex issue which has to do with the svn externals

feature, and possibly in combination with the multiple repo feature of Redmine.

What do you think?

#4 - 2019-10-06 06:12 - Go MAEDA

- Status changed from Closed to New

#5 - 2019-10-07 19:28 - Jon Schell

Yes, we have no sub-projects.  It looks like comment #7 on #6857 is similar, so this problem likely has been around a while.  I tried looking at the

2025-07-03 1/2

https://www.redmine.org/issues/6857
https://www.redmine.org/issues/6857
https://www.redmine.org/issues/6857
https://www.redmine.org/issues/7
https://www.redmine.org/issues/6857


source code and didn't see anything obvious that would explain it.
